Rename API token
curl --request PATCH \
--url https://api.galtea.ai/auth/apiTokens/{apiTokenId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "production-key"
}
'import requests
url = "https://api.galtea.ai/auth/apiTokens/{apiTokenId}"
payload = { "name": "production-key" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'production-key'})
};
fetch('https://api.galtea.ai/auth/apiTokens/{apiTokenId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "apiToken_abc123",
"name": "ci-pipeline",
"keyId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"keyPreview": "gsk_3d4d7d38-a5ec-4d9f-94a6-5a3f61db9d7d"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}{
"error": "Error type",
"message": "Error message description"
}Rename API token
Rename one of the authenticated user’s API tokens. Always allowed, regardless of plan.
PATCH
/
auth
/
apiTokens
/
{apiTokenId}
Rename API token
Authorizations
API key authorization. Pass your API key in the Authorization header as a Bearer token. Both new (gsk_*) and legacy (gsk-) API keys are accepted, e.g. Authorization: Bearer gsk_... or Authorization: Bearer gsk-....
Path Parameters
Body
application/json
Example:
"production-key"
Response
API token renamed successfully
Example:
"apiToken_abc123"
Example:
"ci-pipeline"
Public identifier of the key (the uuid in gsk__)
Display-only public head of the key (gsk_<keyId>). Contains no secret; safe to show truncated as gsk_<keyId>….
Example:
"gsk_3d4d7d38-a5ec-4d9f-94a6-5a3f61db9d7d"
⌘I